<?php
/**
 * VW One Page: Block Patterns
 *
 * @package VW One Page
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'vw-one-page',
		array( 'label' => __( 'Vw One Page', 'vw-one-page' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'vw-one-page/slider-section',
		array(
			'title'      => __( 'Slider Section', 'vw-one-page' ),
			'categories' => array( 'vw-one-page' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\",\"id\":2028,\"dimRatio\":50,\"align\":\"full\",\"className\":\"is-light sliderbox\"} -->\n<div class=\"wp-block-cover alignfull is-light sliderbox\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-2028\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/slider.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"align\":\"wide\",\"className\":\"mx-5 px-lg-5\"} -->\n<div class=\"wp-block-columns alignwide mx-5 px-lg-5\"><!-- wp:column {\"width\":\"66.66%\",\"className\":\"slider-col\"} -->\n<div class=\"wp-block-column slider-col\" style=\"flex-basis:66.66%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"className\":\"sliderbox-content me-md-5 pe-md-5\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top sliderbox-content me-md-5 pe-md-5\"><!-- wp:heading {\"textAlign\":\"right\",\"level\":1,\"style\":{\"typography\":{\"fontSize\":15}}} -->\n<h1 class=\"wp-block-heading has-text-align-right\" style=\"font-size:15px\"><strong>LOREM IPSUM IS SIMPLY DUMMY TEXT</strong></h1>\n<!-- /wp:heading -->\n\n<!-- wp:heading {\"textAlign\":\"right\",\"style\":{\"typography\":{\"fontSize\":35},\"color\":{\"background\":\"#ed0009\"}},\"textColor\":\"white\",\"className\":\"py-4 px-2\"} -->\n<h2 class=\"wp-block-heading has-text-align-right py-4 px-2 has-white-color has-text-color has-background\" style=\"background-color:#ed0009;font-size:35px\"><strong>LOREM IPSUM IS SIMPLY DUMMY TEXT OF THE </strong></h2>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"align\":\"right\",\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"className\":\"text-right\"} -->\n<p class=\"has-text-align-right text-right\" style=\"font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy </p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons {\"layout\":{\"type\":\"flex\",\"justifyContent\":\"right\"}} -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"style\":{\"border\":{\"radius\":\"30px\"}}} -->\n<div class=\"wp-block-button\"><a class=\"wp-block-button__link wp-element-button\" style=\"border-radius:30px\">GET STARTED</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'vw-one-page/services-section',
		array(
			'title'      => __( 'Services Section', 'vw-one-page' ),
			'categories' => array( 'vw-one-page' ),
			'content'    => "<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\",\"className\":\"main-service mx-md-2 mx-lg-5\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center main-service mx-md-2 mx-lg-5\"><!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mb-3\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mb-3\"><!-- wp:cover {\"customOverlayColor\":\"#f1f1f1\",\"minHeight\":50,\"className\":\"service-box\"} -->\n<div class=\"wp-block-cover has-background-dim service-box\" style=\"background-color:#f1f1f1;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"services-content\"} -->\n<div class=\"wp-block-group services-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":2055,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-1 w-100\"} -->\n<div class=\"wp-block-image mb-1 w-100\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services1.png\" alt=\"\" class=\"wp-image-2055\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#4f4f4f;font-size:15px\">SERVICES TITLE 1</h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mb-3\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mb-3\"><!-- wp:cover {\"customOverlayColor\":\"#f1f1f1\",\"minHeight\":50,\"className\":\"service-box\"} -->\n<div class=\"wp-block-cover has-background-dim service-box\" style=\"background-color:#f1f1f1;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"services-content\"} -->\n<div class=\"wp-block-group services-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":2057,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-1 w-100\"} -->\n<div class=\"wp-block-image mb-1 w-100\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services2.png\" alt=\"\" class=\"wp-image-2057\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#4f4f4f;font-size:15px\">SERVICES TITLE 2</h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mb-3\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mb-3\"><!-- wp:cover {\"customOverlayColor\":\"#f1f1f1\",\"minHeight\":50,\"className\":\"service-box\"} -->\n<div class=\"wp-block-cover has-background-dim service-box\" style=\"background-color:#f1f1f1;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"services-content\"} -->\n<div class=\"wp-block-group services-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":2058,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-1 w100\"} -->\n<div class=\"wp-block-image mb-1 w100\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services3.png\" alt=\"\" class=\"wp-image-2058\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#4f4f4f;font-size:15px\">SERVICES TITLE 3</h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"className\":\"mb-3\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center mb-3\"><!-- wp:cover {\"customOverlayColor\":\"#f1f1f1\",\"minHeight\":50,\"className\":\"service-box\"} -->\n<div class=\"wp-block-cover has-background-dim service-box\" style=\"background-color:#f1f1f1;min-height:50px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:group {\"className\":\"services-content\"} -->\n<div class=\"wp-block-group services-content\"><div class=\"wp-block-group__inner-container\"><!-- wp:image {\"align\":\"center\",\"id\":2059,\"sizeSlug\":\"large\",\"linkDestination\":\"none\",\"className\":\"mb-1 w-100\"} -->\n<div class=\"wp-block-image mb-1 w-100\"><figure class=\"aligncenter size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/services4.png\" alt=\"\" class=\"wp-image-2059\"/></figure></div>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"textAlign\":\"center\",\"level\":3,\"style\":{\"typography\":{\"fontSize\":15},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<h3 class=\"has-text-align-center has-text-color\" style=\"color:#4f4f4f;font-size:15px\">SERVICES TITLE 4</h3>\n<!-- /wp:heading --></div></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'vw-one-page/about-section',
		array(
			'title'      => __( 'About Section', 'vw-one-page' ),
			'categories' => array( 'vw-one-page' ),
			'content'    => "<!-- wp:columns {\"verticalAlignment\":\"center\",\"align\":\"wide\",\"className\":\"main-about mt-md-5 mx-5 pt-md-5\"} -->\n<div class=\"wp-block-columns alignwide are-vertically-aligned-center main-about mt-md-5 mx-5 pt-md-5\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":4,\"fontSize\":\"medium\",\"style\":{\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<h4 class=\"has-text-color has-medium-font-size\" style=\"color:#4f4f4f\">About Us</h4>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"className\":\"text-left\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<p class=\"text-left has-text-color\" style=\"color:#4f4f4f;font-size:14px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and s</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:paragraph {\"className\":\"text-left\",\"style\":{\"typography\":{\"fontSize\":14},\"color\":{\"text\":\"#4f4f4f\"}}} -->\n<p class=\"text-left has-text-color\" style=\"color:#4f4f4f;font-size:14px\">crambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently&nbsp;</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"id\":2024,\"sizeSlug\":\"large\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-large\"><img src=\"" . esc_url(get_template_directory_uri()) . "/inc/block-patterns/images/about.png\" alt=\"\" class=\"wp-image-2024\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);
}